#ifndef ANSBYTETRACKNCNN_H
#define ANSBYTETRACKNCNN_H
#include "ANSMOT.h"
#include "NCNNBYTETracker.h"
namespace ANSCENTER {
    class ANSMOT_API ANSByteTrackNCNN :public ANSMOT
    {
    private:
        ByteTrackNCNN::BYTETracker tracker;
    public:
        ~ANSByteTrackNCNN();
        ANSByteTrackNCNN();
        [[nodiscard]] bool UpdateParameters(const std::string& trackerParameters) override;
        [[nodiscard]] std::string Update(int modelId, const std::string& detectionData) override;
        [[nodiscard]] std::vector<TrackerObject> UpdateTracker(int modelId, const std::vector<TrackerObject>& detectionObjects) override;
        [[nodiscard]] bool Destroy() override;
    };
}
#endif // ANSMOT
